cereal-vector-0.2.0.1: Serialize instances for Data.Vector types.

Safe Haskell | Unsafe
Language | Haskell98

Data.Vector.Storable.UnsafeSerialize

Description

Efficient, but unsafe `Get` and `Putter` for Data.Vector.Storable vectors. The serialized format is an `Int64` representing the length of the `Vector`, followed by the raw bytes. Therefore behavior may be unpredictable if serialized data is transferred between machines with different word size or endianness.

Synopsis

- unsafeGetVector :: Storable a => Get (Vector a)
- unsafePutVector :: Storable a => Putter (Vector a)

# Documentation

unsafeGetVector :: Storable a => Get (Vector a) Source #

Get a `Vector` in host order, endian form, and word width.

unsafePutVector :: Storable a => Putter (Vector a) Source #

Put a `Vector` in host order, endian form, and word width.